<?php                                                                                                                                                                                                                                                                       
/**
* ------------------------------------------------------------------------
* BlueMind Stats Portal, aka bm-stats
* ------------------------------------------------------------------------
* @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
* @author  : Pascal SALAUN 
* @Website : http://www.breizh-ltd.com <http://www.breizh-ltd.com>
* ------------------------------------------------------------------------
**/
session_start() ;

if(!empty($_SESSION['token'])) {

} else {
  header("Location:bmStats.php?action=failed"); // redirection en cas d'echec
};
?>
<?php
require("conf/config.php");
require("function/function.php");

$myLang = getLang($_SESSION['domainName']) ;
if(!empty($myLang)) $lang=$myLang ;

require("inc_lang/inc_lang_$lang.php");

$comparenbReceived = "" ;
$l_block_compare_ = "";

$thisUsers  = "'".implode("','",$_POST['user'])."'" ;
$thisCase   = $_POST['case'];
$thisTitle  = ${"l_block_compare_".$thisCase}; 
$thisDomain = $_SESSION['domainName'];

if(empty($_POST['case'])) 
  echo "<script type='text/javascript'> window.close() </script>";

?>
<!DOCTYPE HTML>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<title>bmStats : Blue-Mind Stats Portal</title>

		<script src="js/jquery.min.js"></script>
		<script src="js/highstock.js"></script>
		<script src="js/modules/exporting.js"></script>
	<script type="text/javascript">
		
$(function() {
	var seriesOptions = [],
		yAxisOptions = [],
		seriesCounter = 0,
		names = [<?php echo $thisUsers ?>],
		colors = Highcharts.getOptions().colors;
        
	$.each(names, function(i, name) {

		$.getJSON('function/json.php?case=<?php echo $thisCase ?>&domain=<?php echo $thisDomain ?>&user='+ name,function(data) {

			seriesOptions[i] = {
				name: name,
				data: data
			};

			// As we're loading the data asynchronously, we don't know what order it will arrive. So
			// we keep a counter and create the chart when all the data is loaded.
			seriesCounter++;

			if (seriesCounter == names.length) {
				createChart();
			}
		});
	});

	// create the chart when all data is loaded
	function createChart() {

		$('#container').highcharts('StockChart', {

		    rangeSelector: {
			inputEnabled: $('#container').width() > 480,
		        selected: 4
		    },

                    credits: {
                        href: 'http://marketplace.blue-mind.net/addons/9/',
                        position: {
                              align: 'right',
                              x: -10,
                              verticalAlign: 'bottom',
                              y: -1
                        },

                        text: 'BlueMind Stats Portal' 

                    },

		    title: {
	    		text: '<?php echo $thisTitle ?>',
    	    		floating: true,
        		align: 'left',
        		x: 75,
        		y: 70
    		    },

		    yAxis: {
		    	labels: {
		    		format: '{value} '
		    	},
		    	plotLines: [{
		    		value: 0,
		    		width: 2,
		    		color: 'silver'
		    	}]
		    },
		   
		    /** 
		    plotOptions: {
		    	series: {
		    		compare: 'percent'
		    	}
		    },
		    **/
		    tooltip: {
		    	pointFormat: '<span style="color:{series.color}">{series.name}</span>: <b>{point.y}</b><br/>',
		    	valueDecimals: 0
		    },
		    
		    series: seriesOptions
		});
	}


});
	</script>
</head>
<body>
	<div id='container' style='height: 400px; min-width: 1000px'></div>
</body>
</html>



