<?php

/**
 * ------------------------------------------------------------------------
 * BlueMind Stats Portal, aka bm-stats
 * ------------------------------------------------------------------------
 * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
 * @author  : Pascal SALAUN 
 * @Website : http://www.breizh-ltd.com <http://www.breizh-ltd.com>
 * ------------------------------------------------------------------------
 **/
 

function setLang($lang) {

    Global $path_to_data ;

    verif_existence_rep($path_to_data.$_SESSION['domainName']);   

    $thisIncLangFile = $path_to_data.$_SESSION['domainName']."/lang.ini" ;
    $thisLine = "lang=$lang" ;

    $fp = fopen($thisIncLangFile, "w+" ) ;
    fwrite($fp,$thisLine);
    fclose($fp);
    
    return TRUE ;
};    



function getLang($domain) {

    Global $path_to_data ;
    $thisLang = "" ;

    	

    $thisIncLangFile = $path_to_data.$domain."/lang.ini" ;
    
    if(file_exists($thisIncLangFile)) {
        
        $line = parse_ini_file($thisIncLangFile) ;
        $thisLang = $line['lang'];
    
    }; 

    return $thisLang ;

};


?>