<?php

/**
 * ------------------------------------------------------------------------
 * BlueMind Stats Portal, aka bm-stats
 * ------------------------------------------------------------------------
 * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
 * @author  : Pascal SALAUN 
 * @Website : http://www.breizh-ltd.com <http://www.breizh-ltd.com>
 * ------------------------------------------------------------------------
 **/
 

function monitor() {
  
    Global $l_monitor_title, $path_to_data, $l_monitor_set_autoRefresh, $l_monitor_unset_autoRefresh ;


    /* mbox size & quota info*/
    $values = readDomainQuotaDatFile(); 
    $mboxBySize = displayMostImportMailboxSize($values,'size') ;
    $mboxByQuota = displayMostImportMailboxSize($values,'quota') ;

    if($_SESSION['setRefresh'] == "0" ) {
          $icoR = "<a href='?setRefresh=1' title='$l_monitor_set_autoRefresh'> <img src='./images/redRefresh.png' border='0' alt='$l_monitor_set_autoRefresh'></a>" ;
    } else {
          $icoR = "<a href='?setRefresh=0' title='$l_monitor_unset_autoRefresh' > <img src='./images/greenRefresh.png' border='0' alt='$l_monitor_unset_autoRefresh'></a>" ;
    };

    $imgDir = "./mailstat/".$_SESSION['domainName']."/img/" ;
    $fullPathToImg = $path_to_data.$_SESSION['domainName']."/img/" ;

    $fullScreen = "<button onclick=\"goFullscreen('fullScreen');\">Fullscreen</button>" ;

    $this_HTML ="

                <br>
                <div id='ombreeH12'><h1 id='h12' class=''> $icoR $l_monitor_title</h1></div><br/>";



    $this_HTML .= "<div id='monitorLeft'>";
     
    if(file_exists($fullPathToImg."cyrusQuotaSurvey.png"))  $this_HTML .= "
          <a href='".$imgDir."cyrusQuotaSurvey.png' data-lightbox='cyrusQuotaSurvey.png' >          
            <img class='shadow' src='".$imgDir."cyrusQuotaSurvey.png' />
          </a>";

    if(file_exists($fullPathToImg."cyrusSpaceSurvey.png"))  $this_HTML .= "
          <br/>
          <a href='".$imgDir."cyrusSpaceSurvey.png' data-lightbox='cyrusSpaceSurvey.png'>
            <img class='shadow' src='".$imgDir."cyrusSpaceSurvey.png' />
          </a>";

          
    $this_HTML .= "</div>";

    if(file_exists($fullPathToImg."surveyLog.png"))  $this_HTML .= "
                <div id='monitorRight'>
                  <a href='".$imgDir."surveyLog.png' data-lightbox='surveyLog.png'>
                    <img class='shadow' src='".$imgDir."surveyLog.png' />
                  </a>
                </div>
                ";



    if(file_exists($fullPathToImg."H12_VOL.png"))  $this_HTML .= "
                
                <div style='clear:both' id='monitorLeft'>
                  <a href='".$imgDir."H12_VOL.png' data-lightbox='H12_VOL.png'>
                    <img class='shadow' src='".$imgDir."H12_VOL.png'/>
                  </a>
                </div>
                ";

    if(file_exists($fullPathToImg."H12_NB.png"))  $this_HTML .= "
                <div id='monitorRight'>
                  
                  <a href='".$imgDir."H12_NB.png' data-lightbox='H12_NB.png'>
                    <img class='shadow' src='".$imgDir."H12_NB.png' />
                  </a>
                </div> ";


    $this_HTML .= "<br>
      <table width='98%'> 
      <tr>
        <td valign='top'> $mboxBySize </td>
        <td valign='top'> $mboxByQuota </td> 
      </tr>
      </table>
    ";

    return $this_HTML ;

};



?>
