<?php

/**
 * ------------------------------------------------------------------------
 * BlueMind Stats Portal, aka bm-stats
 * ------------------------------------------------------------------------
 * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
 * @author  : Pascal SALAUN 
 * @Website : http://www.breizh-ltd.com <http://www.breizh-ltd.com>
 * ------------------------------------------------------------------------
 **/

session_start(""); // debut de session

$title="BM STATS Portal" ;

require ("./conf/config.php") ;
require ("./inc_lang/inc_lang_$lang.php") ;

require ("./function/api.php") ;



if(isset($_POST) and !empty($_POST)) { 

    $control  = getToken($_POST['login'],$_POST['password']);

 
    if(is_array($control) and !empty($control) and $control['perms']=='admin' ){

        $_SESSION = $control;
        $_SESSION['setRefresh'] = 0 ;

        if ($_SESSION['login'] == "admin0@global.virt") 
          $_SESSION['allDomain'] = getAllDomain() ;

        header("Location:index.php");


    } else {

        header("Location:bmStats.php?action=failed"); // redirection si utilisateur non reconnu
        $l_errorLogin            = "Utilisateur ou mot de passe invalide";

    };

}

if (isset($_GET['action']) and $_GET['action'] == 'failed' ) {
    $l_errorLogin            = "Utilisateur ou mot de passe invalide";
};

// GESTION DE LA Deconnexion
if(isset($_GET['action']) && $_GET['action'] == 'logout') { 
   unset($_SESSION['token']);
   echo "<script language='Javascript'>document.location.href='bmStats.php'</script>";    
                    
};




echo "
<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">
<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"en\" lang=\"en\"><head>
        <title>$title</title>
        <link rel=\"shortcut icon\" type=\"image/x-icon\" href=\"img/favicon.ico\">
        <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">
        <link rel=\"stylesheet\" href=\"./style/screen.css\" type=\"text/css\">
    </head>
    <body onload=\"document.getElementById('login').focus()\">
        <div id=\"sso-body\">
            <h1 id=\"sso-title\">$l_welcome</h1>
            <img id=\"sso-logo\" src=\"images/logo-bmStats.png\" alt=\"BlueMind\">
            <form id=\"login-form\" enctype=\"application/x-www-form-urlencoded\" action=\"bmStats.php\" method=\"post\">" ;                
                
if($l_errorLogin) {
        echo "                    
                <ul class=\"form-errors\">
                     <li>
                         <ul class=\"errors\">
                              <li>$l_errorLogin</li>
                        </ul>
                    </li>
                </ul> ";
};                                        

echo "
                <fieldset id=\"fieldset-login-form\">
                    <legend>$l_login_phrase</legend>

                    <div>
                        <label for=\"login\" class=\"required\">$l_login_phrase</label>

                            <input name=\"login\" id=\"login\" autocapitalize=\"none\" autocorrect=\"off\" placeholder=\"$l_identification_propal\" type=\"text\">
                    </div>
                    <div>
                        <label for=\"password\" class=\"required\">$l_password :</label>

                        <input name=\"password\" id=\"password\" value=\"\" placeholder=\"$l_password\" type=\"password\">
                    </div>

                    <br>
                    <br>                    
                    <input name=\"submit\" id=\"submit\" value=\"$l_connect\" type=\"submit\">
                </fieldset>
            </form>
            <span id=\"version\">$version</span>
        </div>
    

</body></html>
";

?>
